Bug 5265 - Daemon logging files not actually received with --only-write-batch
Daemon logging files not actually received with --only-write-batch
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.0.0
Other Linux
: P3 normal
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 14:22 UTC by Matt McCutchen
Modified: 2008-07-26 10:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matt McCutchen 2008-02-16 14:22:51 UTC
If I push files to a daemon with --only-write-batch, the daemon logs the files even though they are not actually received.  I thought daemons were supposed to only log files they actually receive.

To reproduce this, run the following in an empty directory:

export PATH=/path/to/rsync/build/tree:$PATH
wget http://mattmccutchen.net/rsync/instant-daemon.sh
sh instant-daemon.sh module 3141 user
    (Choose a password and enter it twice)
echo 'transfer logging = yes' >>rsyncd.conf
mkdir upload
echo data >upload/file
rsync -r --only-write-batch=thebatch upload/ rsync://user@localhost:3141/module/
    (Enter the password)
ls -la module          # No file...
grep recv rsyncd.log   # but a log entry!
Comment 1 Wayne Davison 2008-02-18 01:59:48 UTC
I changed the message from FINFO to FCLIENT, so this is now fixed in the dev version.